//	AGL(C)	1994
//	$Id: localize.h,v 1.1 1994/01/16 19:54:36 agl Exp root $
//
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include "a_stdio.h"

struct	LocalMsgsIndexes {
	int		set_id,
			msg_id;
	unsigned	offset;
	LocalMsgsIndexes (int set_,int msg_):set_id(set_),msg_id(msg_) {}
};

struct	RcHeader {
	long	nmessages;
	off_t	rc_size;
	RcHeader() { nmessages=0; }
};

class	LocalMsgsC {
	char	*rheap;
public:
	LocalMsgsC()	{	rheap=0; }
	char	*get(int set_id, int msg_id);	
	void	read(char *);
};
extern	LocalMsgsC	grc;

inline void a_fatal(char *desc, int fatal) { 
	char	msg[256];
	sprintf(msg,"fatal %d: %s\n%s\n",fatal,desc, grc.get(1,9)); 
	a_print(msg);
	exit(-1);
}

//	EOF $Id: localize.h,v 1.1 1994/01/16 19:54:36 agl Exp root $
